import { type AgentContext, Kms } from '@credo-ts/core';
export declare class AskarKeyManagementService implements Kms.KeyManagementService {
    static readonly backend = "askar";
    readonly backend = "askar";
    private static algToSigType;
    private withSession;
    isOperationSupported(_agentContext: AgentContext, operation: Kms.KmsOperation): boolean;
    randomBytes(_agentContext: AgentContext, options: Kms.KmsRandomBytesOptions): Kms.KmsRandomBytesReturn;
    getPublicKey(agentContext: AgentContext, keyId: string): Promise<Kms.KmsJwkPublic | null>;
    importKey<Jwk extends Kms.KmsJwkPrivate>(agentContext: AgentContext, options: Kms.KmsImportKeyOptions<Jwk>): Promise<Kms.KmsImportKeyReturn<Jwk>>;
    deleteKey(agentContext: AgentContext, options: Kms.KmsDeleteKeyOptions): Promise<boolean>;
    createKey<Type extends Kms.KmsCreateKeyType>(agentContext: AgentContext, options: Kms.KmsCreateKeyOptions<Type>): Promise<Kms.KmsCreateKeyReturn<Type>>;
    sign(agentContext: AgentContext, options: Kms.KmsSignOptions): Promise<Kms.KmsSignReturn>;
    verify(agentContext: AgentContext, options: Kms.KmsVerifyOptions): Promise<Kms.KmsVerifyReturn>;
    encrypt(agentContext: AgentContext, options: Kms.KmsEncryptOptions): Promise<Kms.KmsEncryptReturn>;
    decrypt(agentContext: AgentContext, options: Kms.KmsDecryptOptions): Promise<Kms.KmsDecryptReturn>;
    private assertedSigTypeForAlg;
    private assertAskarAlgForJwkCrv;
    private keyFromJwk;
    private keyFromSecretBytesAndEncryptionAlgorithm;
    private publicJwkFromKey;
    private privateJwkFromKey;
    private fetchAskarKey;
    private getKeyAsserted;
}
